---
title: Update an org group
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Org Groups
---

# Update an org group{% #update-an-org-group %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                         |
| ----------------- | -------------------------------------------------------------------- |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/org_groups/{org_group_id} |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/org_groups/{org_group_id} |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/org_groups/{org_group_id}      |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/org_groups/{org_group_id}      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/org_groups/{org_group_id}  |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/org_groups/{org_group_id}     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/org_groups/{org_group_id} |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/org_groups/{org_group_id} |

### Overview

Update the name of an existing organization group. This endpoint requires the `org_group_write` permission.

### Arguments

#### Path Parameters

| Name                           | Type   | Description              |
| ------------------------------ | ------ | ------------------------ |
| org_group_id [*required*] | string | The ID of the org group. |

### Request

#### Body Data (required)



{% tab title="Model" %}

| Parent field | Field                        | Type   | Description                                                 |
| ------------ | ---------------------------- | ------ | ----------------------------------------------------------- |
|              | data [*required*]       | object | Data for updating an org group.                             |
| data         | attributes [*required*] | object | Attributes for updating an org group.                       |
| attributes   | name [*required*]       | string | The name of the org group.                                  |
| data         | id [*required*]         | uuid   | The ID of the org group.                                    |
| data         | type [*required*]       | enum   | Org groups resource type. Allowed enum values: `org_groups` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "name": "Updated Org Group Name"
    },
    "id": "a1b2c3d4-e5f6-7890-abcd-ef0123456789",
    "type": "org_groups"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a single org group.

| Parent field | Field                            | Type      | Description                                                 |
| ------------ | -------------------------------- | --------- | ----------------------------------------------------------- |
|              | data [*required*]           | object    | An org group resource.                                      |
| data         | attributes [*required*]     | object    | Attributes of an org group.                                 |
| attributes   | created_at [*required*]     | date-time | Timestamp when the org group was created.                   |
| attributes   | modified_at [*required*]    | date-time | Timestamp when the org group was last modified.             |
| attributes   | name [*required*]           | string    | The name of the org group.                                  |
| attributes   | owner_org_site [*required*] | string    | The site of the organization that owns this org group.      |
| attributes   | owner_org_uuid [*required*] | uuid      | The UUID of the organization that owns this org group.      |
| data         | id [*required*]             | uuid      | The ID of the org group.                                    |
| data         | type [*required*]           | enum      | Org groups resource type. Allowed enum values: `org_groups` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "created_at": "2024-01-15T10:30:00Z",
      "modified_at": "2024-01-15T10:30:00Z",
      "name": "My Org Group",
      "owner_org_site": "us1",
      "owner_org_uuid": "b2c3d4e5-f6a7-8901-bcde-f01234567890"
    },
    "id": "a1b2c3d4-e5f6-7890-abcd-ef0123456789",
    "type": "org_groups"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Path parameters export org_group_id="a1b2c3d4-e5f6-7890-abcd-ef0123456789" \# Curl command curl -X PATCH "https://api.datadoghq.com/api/v2/org_groups/${org_group_id}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "name": "Updated Org Group Name"
    },
    "id": "a1b2c3d4-e5f6-7890-abcd-ef0123456789",
    "type": "org_groups"
  }
}
EOF 
                
##### 

```python
"""
Update an org group returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.org_groups_api import OrgGroupsApi
from datadog_api_client.v2.model.org_group_type import OrgGroupType
from datadog_api_client.v2.model.org_group_update_attributes import OrgGroupUpdateAttributes
from datadog_api_client.v2.model.org_group_update_data import OrgGroupUpdateData
from datadog_api_client.v2.model.org_group_update_request import OrgGroupUpdateRequest
from uuid import UUID

body = OrgGroupUpdateRequest(
    data=OrgGroupUpdateData(
        attributes=OrgGroupUpdateAttributes(
            name="Updated Org Group Name",
        ),
        id=UUID("a1b2c3d4-e5f6-7890-abcd-ef0123456789"),
        type=OrgGroupType.ORG_GROUPS,
    ),
)

configuration = Configuration()
configuration.unstable_operations["update_org_group"] = True
with ApiClient(configuration) as api_client:
    api_instance = OrgGroupsApi(api_client)
    response = api_instance.update_org_group(org_group_id=UUID("a1b2c3d4-e5f6-7890-abcd-ef0123456789"), body=body)

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# Update an org group returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.update_org_group".to_sym] = true
end
api_instance = DatadogAPIClient::V2::OrgGroupsAPI.new

body = DatadogAPIClient::V2::OrgGroupUpdateRequest.new({
  data: DatadogAPIClient::V2::OrgGroupUpdateData.new({
    attributes: DatadogAPIClient::V2::OrgGroupUpdateAttributes.new({
      name: "Updated Org Group Name",
    }),
    id: "a1b2c3d4-e5f6-7890-abcd-ef0123456789",
    type: DatadogAPIClient::V2::OrgGroupType::ORG_GROUPS,
  }),
})
p api_instance.update_org_group("a1b2c3d4-e5f6-7890-abcd-ef0123456789", body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```go
// Update an org group returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
	"github.com/google/uuid"
)

func main() {
	body := datadogV2.OrgGroupUpdateRequest{
		Data: datadogV2.OrgGroupUpdateData{
			Attributes: datadogV2.OrgGroupUpdateAttributes{
				Name: "Updated Org Group Name",
			},
			Id:   uuid.MustParse("a1b2c3d4-e5f6-7890-abcd-ef0123456789"),
			Type: datadogV2.ORGGROUPTYPE_ORG_GROUPS,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.UpdateOrgGroup", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewOrgGroupsApi(apiClient)
	resp, r, err := api.UpdateOrgGroup(ctx, uuid.MustParse("a1b2c3d4-e5f6-7890-abcd-ef0123456789"), body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `OrgGroupsApi.UpdateOrgGroup`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `OrgGroupsApi.UpdateOrgGroup`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// Update an org group returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.OrgGroupsApi;
import com.datadog.api.client.v2.model.OrgGroupResponse;
import com.datadog.api.client.v2.model.OrgGroupType;
import com.datadog.api.client.v2.model.OrgGroupUpdateAttributes;
import com.datadog.api.client.v2.model.OrgGroupUpdateData;
import com.datadog.api.client.v2.model.OrgGroupUpdateRequest;
import java.util.UUID;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.updateOrgGroup", true);
    OrgGroupsApi apiInstance = new OrgGroupsApi(defaultClient);

    OrgGroupUpdateRequest body =
        new OrgGroupUpdateRequest()
            .data(
                new OrgGroupUpdateData()
                    .attributes(new OrgGroupUpdateAttributes().name("Updated Org Group Name"))
                    .id(UUID.fromString("a1b2c3d4-e5f6-7890-abcd-ef0123456789"))
                    .type(OrgGroupType.ORG_GROUPS));

    try {
      OrgGroupResponse result =
          apiInstance.updateOrgGroup(UUID.fromString("a1b2c3d4-e5f6-7890-abcd-ef0123456789"), body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling OrgGroupsApi#updateOrgGroup");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```rust
// Update an org group returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_org_groups::OrgGroupsAPI;
use datadog_api_client::datadogV2::model::OrgGroupType;
use datadog_api_client::datadogV2::model::OrgGroupUpdateAttributes;
use datadog_api_client::datadogV2::model::OrgGroupUpdateData;
use datadog_api_client::datadogV2::model::OrgGroupUpdateRequest;
use uuid::Uuid;

#[tokio::main]
async fn main() {
    let body = OrgGroupUpdateRequest::new(OrgGroupUpdateData::new(
        OrgGroupUpdateAttributes::new("Updated Org Group Name".to_string()),
        Uuid::parse_str("a1b2c3d4-e5f6-7890-abcd-ef0123456789").expect("invalid UUID"),
        OrgGroupType::ORG_GROUPS,
    ));
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.UpdateOrgGroup", true);
    let api = OrgGroupsAPI::with_config(configuration);
    let resp = api
        .update_org_group(
            Uuid::parse_str("a1b2c3d4-e5f6-7890-abcd-ef0123456789").expect("invalid UUID"),
            body,
        )
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * Update an org group returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.updateOrgGroup"] = true;
const apiInstance = new v2.OrgGroupsApi(configuration);

const params: v2.OrgGroupsApiUpdateOrgGroupRequest = {
  body: {
    data: {
      attributes: {
        name: "Updated Org Group Name",
      },
      id: "a1b2c3d4-e5f6-7890-abcd-ef0123456789",
      type: "org_groups",
    },
  },
  orgGroupId: "a1b2c3d4-e5f6-7890-abcd-ef0123456789",
};

apiInstance
  .updateOrgGroup(params)
  .then((data: v2.OrgGroupResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
